{ flakes, pkgs, ... }:
{
  services.nginx = {
    virtualHosts."donsz.nl" = {
      forceSSL = true;
      http2 = true;
      enableACME = true;

      locations."/" = {
        root = "${flakes.homepage.packages.${pkgs.system}.website}";
      };
    };
    virtualHosts."blog.donsz.nl" = {
      forceSSL = true;
      http2 = true;
      enableACME = true;

      locations."/".return = "301 https://donsz.nl/blog";
    };
    virtualHosts."gay.donsz.nl" = {
      forceSSL = true;
      http2 = true;
      enableACME = true;

      locations."/" = {
        root = "${flakes.homepage.packages.${pkgs.system}.website-gay}";
      };
    };
    virtualHosts."jana.is.fckn.gay" = {
      forceSSL = true;
      http2 = true;
      enableACME = true;

      locations."/" = {
        root = "${flakes.homepage.packages.${pkgs.system}.website-gay}";
      };
    };
    virtualHosts."jdonszelmann.nl" = {
      forceSSL = true;
      http2 = true;
      enableACME = true;

      locations."/" = {
        root = "${flakes.homepage.packages.${pkgs.system}.website}";
      };
    };
  };
}
